apptainer(1)

NAME
apptainer-run-help - Show the user-defined help for an image

SYNOPSIS
apptainer run-help

DESCRIPTION
The help text is from the '%help' section of the definition file. If you are
  using the '--apps' option, the help text is instead from that app's '%apphelp'
  section.

OPTIONS
--app=""
    show the help for an app

-h, --help[=false]
    help for run-help

EXAMPLE
      $ cat my_container.def
      Bootstrap: docker
      From: busybox
      %help
          Some help for this container
      %apphelp foo
          Some help for application 'foo' in this container
      $ sudo apptainer build my_container.sif my_container.def
      Using container recipe deffile: my_container.def
      [...snip...]
      Cleaning up...
      $ apptainer run-help my_container.sif
        Some help for this container
      $ apptainer run-help --app foo my_container.sif
        Some help for application in this container

SEE ALSO
apptainer(1)

HISTORY
23-Jul-2026 Auto generated by spf13/cobra